Enhancing diagnostic and test facilities for troubleshooting
- added new CLI to list driver providers
- added ability to power on/off borrowed cells
- enabled ONOS service to restart on boot/death
Change-Id: Ifc889cdbc0740e5d3286c9836dfecc38d458bbc5
diff --git a/tools/test/bin/onos-install b/tools/test/bin/onos-install
index 65b7a42..ea2ab68 100755
--- a/tools/test/bin/onos-install
+++ b/tools/test/bin/onos-install
@@ -101,8 +101,8 @@
echo 'log4j.appender.out.layout.ConversionPattern=%d{ISO8601} | %-5.5p | %-16.16t | %-32.32c{1} | %X{bundle.id} | %m%n' \
>> $ONOS_INSTALL_DIR/$KARAF_DIST/etc/org.ops4j.pax.logging.cfg
- # Set up the ONOS service on systemd-based systems
- sudo systemctl daemon-reload || true
+ # Set up and enable the ONOS service on systemd-based systems
+ sudo systemctl daemon-reload && sudo systemctl enable onos.service || true
"